package com.zehong.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 行业专家库-专家行为浏览对象 f_pro_beh_infor_browse
 * 
 * @author zehong
 * @date 2024-05-09
 */
public class FProBehInforBrowse extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long fProBehInforId;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String fIdNo;

    /** 专家表现评价 */
    @Excel(name = "专家表现评价")
    private String fExperEval;

    /** 选用事件 */
    @Excel(name = "选用事件")
    private String fSelectionEvent;

    /** 选用开始时间 */
    @Excel(name = "选用开始时间")
    private String fSelectionStartTime;

    /** 评分说明 */
    @Excel(name = "评分说明")
    private String fScorDesc;

    /** 最后修改时间 */
    @Excel(name = "最后修改时间")
    private String fUpdateTime;

    public void setfProBehInforId(Long fProBehInforId) 
    {
        this.fProBehInforId = fProBehInforId;
    }

    public Long getfProBehInforId() 
    {
        return fProBehInforId;
    }
    public void setfIdNo(String fIdNo) 
    {
        this.fIdNo = fIdNo;
    }

    public String getfIdNo() 
    {
        return fIdNo;
    }
    public void setfExperEval(String fExperEval) 
    {
        this.fExperEval = fExperEval;
    }

    public String getfExperEval() 
    {
        return fExperEval;
    }
    public void setfSelectionEvent(String fSelectionEvent) 
    {
        this.fSelectionEvent = fSelectionEvent;
    }

    public String getfSelectionEvent() 
    {
        return fSelectionEvent;
    }
    public void setfSelectionStartTime(String fSelectionStartTime) 
    {
        this.fSelectionStartTime = fSelectionStartTime;
    }

    public String getfSelectionStartTime() 
    {
        return fSelectionStartTime;
    }
    public void setfScorDesc(String fScorDesc) 
    {
        this.fScorDesc = fScorDesc;
    }

    public String getfScorDesc() 
    {
        return fScorDesc;
    }
    public void setfUpdateTime(String fUpdateTime) 
    {
        this.fUpdateTime = fUpdateTime;
    }

    public String getfUpdateTime() 
    {
        return fUpdateTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fProBehInforId", getfProBehInforId())
            .append("fIdNo", getfIdNo())
            .append("fExperEval", getfExperEval())
            .append("fSelectionEvent", getfSelectionEvent())
            .append("fSelectionStartTime", getfSelectionStartTime())
            .append("fScorDesc", getfScorDesc())
            .append("fUpdateTime", getfUpdateTime())
            .toString();
    }
}
